﻿using System;

using DevExpress.XtraMap;

namespace TestProject
{
    /// <summary>
    /// 맵 데이터
    /// </summary>
    public class MapData
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Property
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 파일 경로 - FilePath

        /// <summary>
        /// 파일 경로
        /// </summary>
        public string FilePath { get; set; }

        #endregion
        #region 소스 좌표계 - SourceCoordinateSystem

        /// <summary>
        /// 소스 좌표계
        /// </summary>
        public SourceCoordinateSystem SourceCoordinateSystem { get; set; }

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 문자열 구하기 - ToString()

        /// <summary>
        /// 문자열 구하기
        /// </summary>
        /// <returns>문자열</returns>
        public override string ToString()
        {
            return String.Format("{0}; with {1}", FilePath, SourceCoordinateSystem.CoordinateConverter);
        }

        #endregion
    }
}